%define rel             2
%define name            libwps
%define ups_version     0.2.7
%define version         0.2.7
%define release         %mkrel %{rel}
%define api_version     0.2
%define lib_major       2
%define lib_name        %mklibname wps %{api_version} %{lib_major}
%define lib_name_devel  %mklibname -d wps

Name: %{name}
Summary: Library for reading and converting Microsoft Works word processor documents
Epoch: 1
Version: %{version}
Release: %{release}
Source: http://downloads.sourceforge.net/%{name}/%{name}/%{name}-%{version}.tar.bz2
Group: Office
URL: http://libwps.sourceforge.net/
License: LGPLv2+
BuildRequires: doxygen
BuildRequires: libwpd-devel >= 0.9.0
BuildRequires: glibc-devel
BuildRequires: boost-devel

%description
Library that handles Microsoft Works documents.

%package tools
Requires: %{lib_name} = %{epoch}:%{version}-%{release}
Summary: Tools to transform Works documents into other formats
Group: Publishing

%description tools
Tools to transform Works documents into other formats.
Currently supported: html, raw, text

%package -n %{lib_name}
Summary: Library for reading and converting Microsoft Works word processor documents
Group: System/Libraries
Obsoletes: %mklibname wps- 0.1 1

%description -n %{lib_name}
Library that handles Microsoft Works documents.

%package -n %{lib_name_devel}
Summary: Files for developing with libwps
Group: Development/C++
Requires: %{lib_name} = %{epoch}:%{version}-%{release}
Provides: libwps-devel = %{epoch}:%{version}-%{release}

%description -n %{lib_name_devel}
Includes and definitions for developing with libwps.

%package docs
Requires: libwps-devel = %{epoch}:%{version}-%{release}
Summary: Documentation of libwps API
Group: Development/C++
BuildArch: noarch

%description docs
Documentation of libwps API for developing with libwps

%prep
%setup -q -n %{name}-%{ups_version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files tools
%{_bindir}/wps2*

%files -n %{lib_name}
%{_libdir}/libwps*-%{api_version}.so.%{lib_major}
%{_libdir}/libwps*-%{api_version}.so.%{lib_major}.*

%files -n %{lib_name_devel}
%{_libdir}/libwps*-%{api_version}.so
%{_libdir}/pkgconfig/libwps*-%{api_version}.pc
%{_includedir}/libwps-%{api_version}/libwps

%files docs
%{_docdir}/libwps/*


%changelog

* Fri Jun 15 2012 fwang <fwang> 1:0.2.7-2.mga3
+ Revision: 260714
- fix requires

* Fri Jun 15 2012 fwang <fwang> 1:0.2.7-1.mga3
+ Revision: 260694
- new version 0.2.7

* Fri Jun 08 2012 fwang <fwang> 1:0.2.6-1.mga3
+ Revision: 257676
- br boost
- new version 0.2.6

* Tue Dec 06 2011 fwang <fwang> 1:0.2.4-1.mga2
+ Revision: 177321
- new version 0.2.4

* Mon Jul 18 2011 fwang <fwang> 1:0.2.2-1.mga2
+ Revision: 125636
- new version 0.2.2

* Sun Jan 23 2011 dmorgan <dmorgan> 1:0.2.0-5.mga1
+ Revision: 33514
- New version ( 0.2.0 ) Neeeded by libreoffice
- imported package libwps

